zdma: XZDma_DataConfig Struct Reference

| zdma Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XZDma_DataConfig Struct Reference

This typedef contains the data configurations of ZDMA core. More...

## Data Fields
u8 | OverFetch
| Enable Over fetch. More...
u8 | SrcIssue
| Outstanding transactions for Source. More...
XZDma_BurstType | SrcBurstType
| Burst type for SRC. More...
u8 | SrcBurstLen
| AXI length for data read. More...
XZDma_BurstType | DstBurstType
| Burst type for DST. More...
u8 | DstBurstLen
| AXI length for data write. More...
u8 | SrcCache
| AXI cache bits for data read. More...
u8 | SrcQos
| AXI QOS bits for data read. More...
u8 | DstCache
| AXI cache bits for data write. More...
u8 | DstQos
| AXI QOS bits for data write. More...

## Detailed Description

This typedef contains the data configurations of ZDMA core.

## Field Documentation

u8 XZDma_DataConfig::DstBurstLen

AXI length for data write.

Referenced by XZDma_GetChDataConfig(), XZDma_LinearExample(), XZDma_SetChDataConfig(), XZDma_SimpleExample(), XZDma_SimpleReadOnlyExample(), and XZDma_WriteOnlyExample().

XZDma_BurstType XZDma_DataConfig::DstBurstType

Burst type for DST.

Referenced by XZDma_GetChDataConfig(), XZDma_LinearExample(), XZDma_SetChDataConfig(), XZDma_SimpleExample(), XZDma_SimpleReadOnlyExample(), and XZDma_WriteOnlyExample().

u8 XZDma_DataConfig::DstCache

AXI cache bits for data write.

Referenced by XZDma_GetChDataConfig(), XZDma_LinearExample(), XZDma_LinkedListExample(), XZDma_SetChDataConfig(), XZDma_SimpleExample(), XZDma_SimpleReadOnlyExample(), and XZDma_WriteOnlyExample().

u8 XZDma_DataConfig::DstQos

AXI QOS bits for data write.

Referenced by XZDma_GetChDataConfig(), XZDma_SetChDataConfig(), and XZDma_SimpleExample().

u8 XZDma_DataConfig::OverFetch

Enable Over fetch.

Referenced by XZDma_GetChDataConfig(), XZDma_LinearExample(), XZDma_LinkedListExample(), XZDma_SetChDataConfig(), XZDma_SimpleExample(), XZDma_SimpleReadOnlyExample(), and XZDma_WriteOnlyExample().

u8 XZDma_DataConfig::SrcBurstLen

AXI length for data read.

Referenced by XZDma_GetChDataConfig(), XZDma_LinearExample(), XZDma_SetChDataConfig(), XZDma_SimpleExample(), XZDma_SimpleReadOnlyExample(), and XZDma_WriteOnlyExample().

XZDma_BurstType XZDma_DataConfig::SrcBurstType

Burst type for SRC.

Referenced by XZDma_GetChDataConfig(), XZDma_LinearExample(), XZDma_SetChDataConfig(), XZDma_SimpleExample(), XZDma_SimpleReadOnlyExample(), and XZDma_WriteOnlyExample().

u8 XZDma_DataConfig::SrcCache

AXI cache bits for data read.

Referenced by XZDma_GetChDataConfig(), XZDma_LinearExample(), XZDma_LinkedListExample(), XZDma_SetChDataConfig(), XZDma_SimpleExample(), XZDma_SimpleReadOnlyExample(), and XZDma_WriteOnlyExample().

u8 XZDma_DataConfig::SrcIssue

Outstanding transactions for Source.

Referenced by XZDma_GetChDataConfig(), XZDma_LinearExample(), XZDma_SetChDataConfig(), XZDma_SimpleExample(), XZDma_SimpleReadOnlyExample(), and XZDma_WriteOnlyExample().

u8 XZDma_DataConfig::SrcQos

AXI QOS bits for data read.

Referenced by XZDma_GetChDataConfig(), XZDma_SetChDataConfig(), and XZDma_SimpleExample().